Package org.apache.sling.jcr.base.internal.mount

## Class ProxyItem<T extends javax.jcr.Item>

- java.lang.Object
- - org.apache.sling.jcr.base.internal.mount.ProxyWrapper<T>
  - - org.apache.sling.jcr.base.internal.mount.ProxyItem<T>

All Implemented Interfaces:
  `javax.jcr.Item`

Direct Known Subclasses:
  `ProxyNode`, `ProxyProperty`

    public class ProxyItem<T extends javax.jcr.Item>
    extends ProxyWrapper<T>
    implements javax.jcr.Item

### Constructor Summary

Constructors
`ProxyItem​(ProxySession mountSession, T delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `accept​(javax.jcr.ItemVisitor visitor)`
`javax.jcr.Item` `getAncestor​(int depth)`
`int` `getDepth()`
`String` `getName()`
`javax.jcr.Node` `getParent()`
`String` `getPath()`
`javax.jcr.Session` `getSession()`
`boolean` `isModified()`
`boolean` `isNew()`
`boolean` `isNode()`
`boolean` `isSame​(javax.jcr.Item otherItem)`
`void` `refresh​(boolean keepChanges)`
`void` `remove()`
`void` `save()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProxyItem

    public ProxyItem​(ProxySession mountSession,
                     T delegate)

### Method Detail

#### getPath

    public String getPath()
                   throws javax.jcr.RepositoryException

Specified by:
  `getPath` in interface `javax.jcr.Item`
Throws:
  `javax.jcr.RepositoryException`

#### getName

    public String getName()
                   throws javax.jcr.RepositoryException

Specified by:
  `getName` in interface `javax.jcr.Item`
Throws:
  `javax.jcr.RepositoryException`

#### getAncestor

    public javax.jcr.Item getAncestor​(int depth)
                               throws javax.jcr.ItemNotFoundException,
                                      javax.jcr.AccessDeniedException,
                                      javax.jcr.RepositoryException

Specified by:
  `getAncestor` in interface `javax.jcr.Item`
Throws:
  `javax.jcr.ItemNotFoundException`
  `javax.jcr.AccessDeniedException`
  `javax.jcr.RepositoryException`

#### getParent

    public javax.jcr.Node getParent()
                             throws javax.jcr.ItemNotFoundException,
                                    javax.jcr.AccessDeniedException,
                                    javax.jcr.RepositoryException

Specified by:
  `getParent` in interface `javax.jcr.Item`
Throws:
  `javax.jcr.ItemNotFoundException`
  `javax.jcr.AccessDeniedException`
  `javax.jcr.RepositoryException`

#### getDepth

    public int getDepth()
                 throws javax.jcr.RepositoryException

Specified by:
  `getDepth` in interface `javax.jcr.Item`
Throws:
  `javax.jcr.RepositoryException`

#### getSession

    public javax.jcr.Session getSession()
                                 throws javax.jcr.RepositoryException

Specified by:
  `getSession` in interface `javax.jcr.Item`
Throws:
  `javax.jcr.RepositoryException`

#### isNode

    public boolean isNode()

Specified by:
  `isNode` in interface `javax.jcr.Item`

#### isNew

    public boolean isNew()

Specified by:
  `isNew` in interface `javax.jcr.Item`

#### isModified

    public boolean isModified()

Specified by:
  `isModified` in interface `javax.jcr.Item`

#### isSame

    public boolean isSame​(javax.jcr.Item otherItem)
                   throws javax.jcr.RepositoryException

Specified by:
  `isSame` in interface `javax.jcr.Item`
Throws:
  `javax.jcr.RepositoryException`

#### accept

    public void accept​(javax.jcr.ItemVisitor visitor)
                throws javax.jcr.RepositoryException

Specified by:
  `accept` in interface `javax.jcr.Item`
Throws:
  `javax.jcr.RepositoryException`

#### save

    public void save()
              throws javax.jcr.AccessDeniedException,
                     javax.jcr.ItemExistsException,
                     javax.jcr.nodetype.ConstraintViolationException,
                     javax.jcr.InvalidItemStateException,
                     javax.jcr.ReferentialIntegrityException,
                     javax.jcr.version.VersionException,
                     javax.jcr.lock.LockException,
                     javax.jcr.nodetype.NoSuchNodeTypeException,
                     javax.jcr.RepositoryException

Specified by:
  `save` in interface `javax.jcr.Item`
Throws:
  `javax.jcr.AccessDeniedException`
  `javax.jcr.ItemExistsException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.InvalidItemStateException`
  `javax.jcr.ReferentialIntegrityException`
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.NoSuchNodeTypeException`
  `javax.jcr.RepositoryException`

#### refresh

    public void refresh​(boolean keepChanges)
                 throws javax.jcr.InvalidItemStateException,
                        javax.jcr.RepositoryException

Specified by:
  `refresh` in interface `javax.jcr.Item`
Throws:
  `javax.jcr.InvalidItemStateException`
  `javax.jcr.RepositoryException`

#### remove

    public void remove()
                throws javax.jcr.version.VersionException,
                       javax.jcr.lock.LockException,
                       javax.jcr.nodetype.ConstraintViolationException,
                       javax.jcr.AccessDeniedException,
                       javax.jcr.RepositoryException

Specified by:
  `remove` in interface `javax.jcr.Item`
Throws:
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.AccessDeniedException`
  `javax.jcr.RepositoryException`